org.apache.cassandra.schema

## Class TriggerMetadata

- java.lang.Object
- - org.apache.cassandra.schema.TriggerMetadata

    public final class TriggerMetadata
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `CLASS`
`java.lang.String` `classOption`
`java.lang.String` `name`

### Constructor Summary

Constructors
Constructor and Description
`TriggerMetadata(java.lang.String name, java.lang.String classOption)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TriggerMetadata` `create(java.lang.String name, java.lang.String classOption)`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CLASS

    public static final java.lang.String CLASS

See Also:
  Constant Field Values

#### name

    public final java.lang.String name

#### classOption

    public final java.lang.String classOption

### Constructor Detail

#### TriggerMetadata

    public TriggerMetadata(java.lang.String name,
                           java.lang.String classOption)

### Method Detail

#### create

    public static TriggerMetadata create(java.lang.String name,
                                         java.lang.String classOption)

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`